Bug 200696 - [MAINTAINER] sysutils/lsof: Update to 4.89E
Summary: [MAINTAINER] sysutils/lsof: Update to 4.89E
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Muhammad Moinur Rahman
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-06-07 16:21 UTC by Larry Rosenman
Modified: 2015-06-09 00:56 UTC (History)
2 users (show)

See Also:
ler: maintainer-feedback+


Attachments
update patch (881 bytes, patch)
2015-06-07 16:21 UTC, Larry Rosenman
no flags Details | Diff
Update to 4.89E (1.95 KB, patch)
2015-06-08 19:45 UTC, Muhammad Moinur Rahman
bofh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Larry Rosenman freebsd_committer 2015-06-07 16:21:11 UTC
Created attachment 157503 [details]
update patch

Recent changes in the vm system cause lsof to need some headers in NON _KERNEL code.

this update fixes it.

noted by: pkg-fallout
Comment 1 Larry Rosenman freebsd_committer 2015-06-08 19:11:20 UTC
I submitted the patch -- Ergo, it should be assumed approved by me.
Comment 2 Muhammad Moinur Rahman freebsd_committer 2015-06-08 19:45:28 UTC
Created attachment 157546 [details]
Update to 4.89E

- Mark DATADIR safe
- Fix contiguous blank line

I have modified your patch to reflect portlint compliance. Please check and provide feedback. The following is the builder logs:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/lsof/4.89.e,8/
Comment 3 Muhammad Moinur Rahman freebsd_committer 2015-06-08 19:46:33 UTC
(In reply to Larry Rosenman from comment #1)
Not required, actually by mistake I have asked for it not looking at the mail id you submitted it from.
Comment 4 Larry Rosenman freebsd_committer 2015-06-08 19:51:29 UTC
Your patch is fine -- thanks for catching the portlint errors.
Comment 5 commit-hook freebsd_committer 2015-06-08 19:56:47 UTC
A commit references this bug:

Author: bofh
Date: Mon Jun  8 19:55:57 UTC 2015
New revision: 388875
URL: https://svnweb.freebsd.org/changeset/ports/388875

Log:
  [MAINTAINER] sysutils/lsof: Update version 4.89D=>4.89E

  - Mark DATADIR safe
  - Fix contiguous blank lines in Makefile

  PR:		200696
  Submitted by:	ler@lerctr.org

Changes:
  head/sysutils/lsof/Makefile
  head/sysutils/lsof/distinfo
  head/sysutils/lsof/pkg-plist